@import url("https://fonts.verwaltungsportal.de/import/?family=Karla:400,400i,700,700i");
@import url("https://fonts.verwaltungsportal.de/import/?family=Caveat:400");

html {
	margin-left: auto;
	margin-right: auto;
	background: #e2e7f0;
	scroll-behavior: smooth;
	scroll-padding-top: 100px;
	scrollbar-color: #c9292f #ffffff;
	scrollbar-width: thin;
}

:root {
	--sidePaddingMax: calc((1920px - var(--gridSize)) / 2);
	--gridSize: 1200px;
}

@media (min-width: 992px) {
	:root {
		--sidePadding: calc((100vw - 992px) / 2);
	}
}
@media (min-width: 1200px) {
	:root {
		--sidePadding: calc((100vw - var(--gridSize)) / 2);
	}
}
@media (min-width: 1920px) {
	:root {
		--sidePadding: var(--sidePaddingMax);
	}
}

body {
	font-family: "Karla", sans-serif;
	font-weight: 400;
	color: #2b2b2b;
	background: #e2e7f0 url(../img/bg-muster.jpg);
	font-size: 1rem;
	/* 1rem = 16px */
	line-height: 1.5;
}

a {
	color: #0f47af;
}

a:is(:hover, :focus) {
	color: #0f47af;
	text-decoration: underline;
}

b,
strong {
	font-weight: 700;
}

.rowGap {
	row-gap: 30px;
}

.rowColumn {
	display: flex;
	flex-direction: column;
}

#overflow {
	overflow: hidden;
}

/* ------------------------------------------------- logo ------------------------------------------------ */

#topbar {
	box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
	background: #fff;
	position: relative;
	z-index: 100;
}

@media (max-width: 991px) {
	#topbar {
		padding-block: 15px;
	}
}

#topbar > .row {
	min-height: 80px;
}

#logo {
	display: inline-block;
}

#logo img {
	display: block;
}

@media (max-width: 991px) {
	#logo img {
		max-width: 310px;
		width: 100%;
	}
}

@media (min-width: 992px) {
	#logo {
		position: absolute;
		top: 0;
	}
}

#search {
	height: 2.1875rem;
	background: #0f47af;
	display: inline-block;
	position: relative;
}
#search_input {
	color: #fff;
	font-size: 0.9375rem;
	font-style: italic;
	background: transparent;
	padding: 0;
	border: 0;
	line-height: 2.1875rem;
	padding-left: 10px;
	padding-right: 43px;
	height: 2.1875rem;
	width: 100%;
}
#search_submit {
	width: 45px;
	background: #0f47af url("../img/icon-search.png") center no-repeat;
	padding: 0;
	cursor: pointer;
	line-height: 2.1875rem;
	border: none;
	border-left: 1px solid rgba(0, 0, 0, 0.2);
	position: absolute;
	top: 0;
	right: 0;
	height: 100%;
	font-size: 0;
	-webkit-transition: background-color 300ms linear;
	-moz-transition: background-color 300ms linear;
	-ms-transition: background-color 300ms linear;
	-o-transition: background-color 300ms linear;
	transition: background-color 300ms linear;
}
#search_submit:hover {
	background-color: #c9292f;
}
#search_input::-ms-input-placeholder {
	color: #fff !important;
	font-style: italic;
	opacity: 1;
}
#search_input::-webkit-input-placeholder {
	color: #fff !important;
	font-style: italic;
	opacity: 1;
}
#search_input::-moz-placeholder {
	color: #fff !important;
	font-style: italic;
	opacity: 1;
}
#search_input:-moz-placeholder {
	color: #fff !important;
	font-style: italic;
	opacity: 1;
}

/* #region --------------------------------- navigation ----------------------------------------- */

/* burgermenu for tablet */

@media (max-width: 991px) {
	#burgerButton {
		font-size: 0;
		border: none !important;
		display: block;
		height: 50px;
		width: 60px;
		border-radius: 2px;
		padding: 6px 8px;
		cursor: pointer;
		background-color: #ffffff;
		box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
	}

	#burgerButton::before,
	#burgerButton::after,
	#burgerButtonInner {
		background-color: #0f47af;
		border-radius: 2px;
		position: absolute;
		width: 40px;
		height: 3px;
		left: 10px;
		transition:
			transform 200ms linear,
			opacity 200ms linear;
		display: block;
	}

	.contrast_dark_font #burgerButton::before,
	.contrast_dark_font #burgerButton::after,
	.contrast_dark_font #burgerButtonInner {
		background-color: #000 !important;
	}
	.contrast_light_font #burgerButton::before,
	.contrast_light_font #burgerButton::after,
	.contrast_light_font #burgerButtonInner {
		background-color: #fff !important;
	}

	#burgerButton[aria-expanded="true"] #burgerButtonInner {
		transform: rotate(-45deg) translate(-6px, 6px);
	}

	#burgerButton[aria-expanded="true"]::before {
		opacity: 0;
	}

	#burgerButton[aria-expanded="true"]:after {
		transform: rotate(45deg) translate(-4px, -6px);
	}

	#burgerButtonInner {
		top: 16px;
	}

	#burgerButton::before {
		top: 24px;
		content: "";
	}

	#burgerButton::after {
		top: 32px;
		content: "";
	}

	.navbar-nav {
		margin: 20px 0;
	}

	.navbar-collapse {
		width: calc(100% - 90px);
		max-width: 300px;
		top: 0;
		background: #0f47af;
		position: fixed;
		left: -100%;
		bottom: 0;
		z-index: 100;
		height: auto !important;
		opacity: 0;
		pointer-events: none;
		visibility: hidden;
		overflow-y: auto;
		transition:
			left 300ms linear,
			opacity 300ms linear,
			box-shadow 600ms linear;
		box-shadow: 250px 0 50vw 50vw rgba(255, 255, 255, 0);
	}

	.navbar-collapse:is([aria-expanded="true"], .in) {
		left: 0;
		opacity: 1;
		pointer-events: auto;
		visibility: visible;
		box-shadow: 250px 0 50vw 50vw rgba(0, 0, 0, 0.6);
	}

	.navbar-header {
		position: fixed;
		top: 15px;
		right: 15px;
		z-index: 101;
	}

	.dropdown-toggle-button-wrapper {
		top: 2px;
	}

	.dropdown-toggle-button-wrapper2 {
		top: 3px;
	}
}

/* menu desktop */

@media (min-width: 992px) {
	nav.navbar {
		background: #0f47af;
		padding: 10px;
		width: 100%;
	}

	nav.navbar .navbar-nav > li {
		display: block !important;
		width: 100%;
		float: none;
	}

	.navbar-default .navbar-nav li:is([class*="toplevel"], [class*="secondlevel"]):focus-within > ul {
		display: block;
	}
}

/* toplevel */

nav.navbar a[class*="toplevel"] {
	color: #fff;
	font-weight: 400;
	text-align: left;
	padding: 8px 15px 8px 15px;
	position: relative;
	font-size: 1rem;
	line-height: 1.2;
	text-decoration: none;
	hyphens: auto;
}

@media (max-width: 991px) {
	nav.navbar a[class*="toplevel"].dropdown-toggle {
		padding-right: 35px;
	}
}

nav.navbar li[class*="toplevel"]:not(:first-child) {
	border-top: 1px solid rgba(0, 0, 0, 0.15);
}

/* toplevel-over */

nav.navbar li[class*="toplevel"]:is(:hover, :focus-within) > a,
nav.navbar li[class*="toplevel"] > a:is(:hover, :focus),
nav.navbar li[class*="toplevel"].open > a,
nav.navbar li[class*="toplevel"].open > a:is(:hover, :focus),
nav.navbar li[class*="toplevel"][class*="_over"] > a,
nav.navbar li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus) {
	color: #2d2d2d;
	background-color: #ffffff;
}

/* secondlevel + thirdlevel dropdown-box */

nav.navbar [class*="toplevel"] ul {
	padding: 0;
	background-color: rgba(255, 255, 255, 0.1);
}

nav.navbar [class*="secondlevel"] > ul {
	border-top: 1px solid #0f316f;
	border-bottom: 1px solid #0f316f;
}

@media (max-width: 991px) {
	nav.navbar [class*="secondlevel"] > ul {
		padding: 10px;
	}
}

nav.navbar li:is([class*="_over"], [class*="open"]) > .dropdown-menu {
	display: block !important;
}

/* secondlevel + thirdlevel */

nav.navbar a:is([class*="secondlevel"], [class*="thirdlevel"]) {
	color: #fff;
	font-weight: normal;
	text-align: left;
	position: relative;
	font-size: 1rem;
	line-height: 1.2;
	text-decoration: none;
	padding: 8px 15px 8px 30px;
	hyphens: auto;
}

@media (max-width: 991px) {
	nav.horizontally a[class*="secondlevel"].dropdown-toggle2 {
		padding-right: 35px;
	}
}

nav.navbar a[class*="thirdlevel"] {
	padding: 8px 15px 8px 45px;
}

nav.navbar a:is([class*="secondlevel"], [class*="thirdlevel"])::before {
	content: "";
	display: block;
	position: absolute;
	left: 15px;
	top: 16px;
	width: 5px;
	height: 5px;
	border-radius: 50%;
	opacity: 0;
	background: #fff;
	transition: opacity 300ms linear;
}

nav.navbar a[class*="thirdlevel"]::before {
	left: 30px;
}

/* secondlevel + thirdlevel over */

nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus),
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus),
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus) {
	background-color: transparent;
}

nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a::before,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus)::before,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a::before,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus)::before,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a::before,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus)::before {
	opacity: 1;
}

/* #endregion ------------------------------ navigation ----------------------------------------- */

/* -------------------------------------------- banner ------------------------------------------ */

#slider {
	max-height: clamp(400px, 62vw, 573px);
	position: relative;
	min-height: 200px;
}

@media (min-width: 992px) {
	#headerpic a.nivo-prevNav {
		left: 65px;
	}

	#headerpic a.nivo-nextNav {
		right: 65px;
	}
	#headerpic .nivo-controlNav {
		top: 15px;
		bottom: auto;
	}
}

.slick-slider,
.slick-slider > .slick-list,
.slick-slider > .slick-list > .slick-track,
.slick-slider > .slick-list > .slick-track > .slick-slide,
.slick-slider > .slick-list > .slick-track > .slick-slide > div,
.slick-slider > .slick-list > .slick-track > .slick-slide > div > a,
.slick-slider > .slick-list > .slick-track > .slick-slide > div > a > img {
	height: 100%;
	min-height: 200px;
}

.slick-slider > .slick-list > .slick-track > .slick-slide > div > a > img {
	object-fit: cover;
	object-position: center;
}

#headerpic {
	padding: 0;
	position: relative;
}

.slider-wrapper,
#slider {
	height: 100%;
}

.slider-mask {
	display: none;
}

/* ------------------------------------------------ content ----------------------------------------------- */

main {
	text-align: left;
}

main > .compact {
	background: #fff;
	padding-block: 30px;
	box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
}

@media (min-width: 992px) {
	main > .compact {
		margin-top: -170px;
		position: relative;
		z-index: 20;
	}
}

/* -------------------------------------- h1 - h6, newslink ------------------------------------- */

.h4link a:is(:link, :hover, :focus, :visited),
h6,
h5,
h4,
h3,
h2,
h1 {
	color: #c9292f;
	font-weight: 400;
	line-height: 1.2;
	font-family: "Karla", sans-serif;
}

h1,
.h1,
.legacy_h1 {
	font-size: clamp(1.6rem, 5.5vw, 1.75rem);
}

h2,
.h2,
.legacy_h2 {
	font-size: clamp(1.5rem, 5vw, 1.625rem);
}

h3,
.h3,
.legacy_h3 {
	font-size: clamp(1.4375rem, 4.5vw, 1.5625rem);
}

h4,
.h4,
.h4link a:is(:link, :hover, :focus, :visited) .legacy_h4 {
	font-size: clamp(1.375rem, 4vw, 1.5rem);
}

h5,
.h5,
.legacy_h5 {
	font-size: clamp(1.3125rem, 3.5vw, 1.4375rem);
}

h6,
.h6,
.legacy_h6 {
	font-size: clamp(1.25rem, 3vw, 1.375rem);
}

/* ----------------------------------------------- @5f footer ----------------------------------------------- */

/* ----------------------------------------------- tabsRechts ----------------------------------------------- */

@media (max-width: 991px) {
	#tabsRechts {
		margin-top: 60px;
	}
}

#tabsRechts .tab {
	background: #fff;
	box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.1);
	max-width: 350px;
	margin: 0 auto;
	width: 100%;
	hyphens: auto;
}

#tabsRechts .tab#news {
	background-image: url(../img/icon-news.png);
	background-repeat: no-repeat;
	background-position: bottom right;
}

#tabsRechts .tab#besucher {
	background-image: url(../img/wasserzeichen-wappen.png);
	background-repeat: no-repeat;
	background-position: center right -10px;
}

#tabsRechts .tab#gallerie .tab_link_mehr {
	padding: 20px;
	padding-top: 5px;
}

#tabsRechts .tab#besucher .tabContent {
	padding-top: 0;
	margin-top: -10px;
}

#tabsRechts .tabHeadline {
	font-family: "Caveat", cursive;
	padding: 20px;
	margin: 0;
	position: relative;
}

#tabsRechts .tabHeadline::before,
#tabsRechts .tabHeadline::after {
	content: "";
	position: absolute;
	height: 6px;
	background: #c9292f;
	width: 20px;
	top: 50%;
	transform: translateY(-50%);
}

#tabsRechts .tabHeadline::before {
	left: 0;
}

#tabsRechts .tabHeadline::after {
	right: 0;
}

#tabsRechts .tabContent {
	padding: 0 20px 20px 20px;
}

#tabsRechts .tab_link_title a {
	color: #2b2b2b;
	font-weight: 700;
}

#tabsRechts .tab_link_mandat a {
	color: #2b2b2b;
	font-weight: 400;
}

#tabsRechts #clr-events-hide {
	display: none;
}

#tabsRechts :is(.eventclndr-tab, #slider, .banner) {
	margin-bottom: 20px;
}

/* ----------------------------------------------- tabsRechts ----------------------------------------------- */

#footerTabs {
	box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
	background: #fff;
}

#footerTabs a {
	color: #c9292f;
}

#footerTabs #kontakt {
	padding-block: 30px;
}

#footerTabs #kontakt .tabHeadline {
	font-family: "Caveat", cursive;
	padding: 0;
	position: relative;
}

@media (min-width: 992px) {
	#footerTabs {
		background: #fff url(../img/wasserzeichen-wappen-gross.png);
		background-repeat: no-repeat;
		background-position: left center;
	}
}
#footerTabs #kontakt .tabHeadline {
	min-width: 270px;
	width: fit-content;
	margin: 0 auto;
	padding-inline: 60px;
	margin-bottom: 20px;
}
#footerTabs .tabHeadline::before,
#footerTabs .tabHeadline::after {
	content: "";
	position: absolute;
	height: 6px;
	background: #c9292f;
	width: 50px;
	top: 50%;
	transform: translateY(-50%);
}

#footerTabs .tabHeadline::before {
	left: 0;
}

#footerTabs .tabHeadline::after {
	right: 0;
}

#footerTabs #map > .template-page {
	margin-right: calc(var(--sidePadding) * -1 - 15px);
	width: auto;
}

/* Map -------------------------------------------------------- */

#map :is(iframe, .iframe-wrapper-manual-enabling) {
	width: 100%;
	min-width: 100% !important;
}

#map iframe {
	display: block;
}

/* Full height */
#map :is(iframe, .iframe-wrapper-manual-enabling),
#map .template-page,
#map .template-page > .row {
	height: 100%;
}

/* Map -------------------------------------------------------- */

#f5 {
	padding-top: 12px;
	padding-bottom: 12px;
	background-color: #1d1d1d;
}

/* --------------------------------------------- innerfooter -------------------------------------------- */

@media (max-width: 767px) {
	#innerfooter {
		border-bottom: 1px solid rgba(255, 255, 255, 0.1);
		padding-bottom: 15px;
		margin-bottom: 15px;
	}
}

#innerfooter ul {
	padding: 0;
}

#innerfooter li {
	display: inline-block;
}

#innerfooter a {
	color: #ffffff;
	text-decoration: none;
	display: inline-block;
	font-size: 1rem;
}

#innerfooter a:hover,
#innerfooter a:focus {
	color: #7ea0df;
	text-decoration: none;
}

#innerfooter li + li::before {
	content: "I";
	margin: 0 6px;
	color: #5d5d5d;
}

@media (min-width: 992px) {
	#innerfooter li + li::before {
		margin: 0 30px;
	}
}

@media (max-width: 767px) {
	#innerfooter li {
		display: block;
		text-align: center;
		padding: 5px;
		margin: 0;
	}

	#innerfooter li + li::before {
		display: none;
	}
}

/* --------------------------------------------- vernetzt -------------------------------------------- */

#vernetzt {
	gap: 12px;
	text-align: right;
	font-size: 0.9375rem;
	color: #ffffff;
	line-height: 1.3;
	text-decoration: none;
}

#vernetzt span span {
	display: block;
}
